<?php
namespace Teknisa\CUS\Modules\Relatorio\Services;

class Cus02000AcompanhamentoDePrecoUnitarioService {
    protected $newCode;
    protected $environment;
    protected $entityManager;
    protected $connection;

    public function __construct($environment, $entityManager, $newCode){
        $this->newCode        = $newCode;
        $this->environment    = $environment;
        $this->entityManager  = $entityManager;
        $this->connection     = $this->entityManager->getConnection();
    }
    
    public function getAllServices($params) {
      $sql = "SELECT S.CDFILIAL, FI.NMFILIAL, S.CDSERVFILI, S.NMSERVICO, SUBSTR(S.CDFILIAL || S.CDSERVFILI, 1, 9) AS FILISERV FROM SERVICO S JOIN FILIAL   FI ON S.CDFILIAL = FI.CDFILIAL, FILIOPER F WHERE ( ( S.CDFILIAL = :CDFILIAL AND ( :CDGRUPFILI IS NULL OR :CDGRUPFILI = 'T' ) ) OR ( :CDFILIAL = 'T' AND ( :CDGRUPFILI IS NULL OR :CDGRUPFILI = 'T' ) ) OR ( ( :CDGRUPFILI IS NOT NULL AND :CDGRUPFILI <> 'T' ) AND S.CDFILIAL IN ( SELECT CDFILIAL FROM FILGRUPFILI WHERE CDGRUPFILI = :CDGRUPFILI ) ) OR ( :CDFILIAL IS NOT NULL AND :CDFILIAL <> 'T' AND VALOR_NA_LISTA(S.CDFILIAL, :CDFILIAL) <> 0 ) ) AND ( ( VALOR_NA_LISTA(S.CDGRUPSERV, :CDGRUPSERV) <> 0 ) OR ( :CDGRUPSERV = 'T' ) ) AND ( F.CDOPERADOR = :CDOPERADOR ) AND ( F.CDFILIAL = S.CDFILIAL ) ORDER BY S.CDFILIAL, NLSSORT(S.CDSERVFILI, 'NLS_SORT=BINARY_AI')";
      $query = $this->connection->prepare($sql);
      
      $query->execute($params);
      
      return $query->fetchAll();
        
    }
    
}